Fold All / Expand All

2014年6月16日 星期一

jQuery and Ext JS Browser Support

jQuery Browser Support
http://jquery.com/browser-support/

jQuery 1.x 和 2.x 的差別在於 1.x 支援到 IE6,而 2.x 則是從 IE9 開始支援。
其他瀏覽器則是
Firefox / Chrome: (Current - 1) or Current
Safari: 5.1+
Opera: 12.1x, (Current -1) or Current
iOS: 6.0+
Android: 4.0+


jQuery Mobile 1.4 Supported Platforms
http://jquerymobile.com/gbs/1.4/

A-grade support
iOS: 4-7.0
Android: 2.1+
Windows Phone: 7.5-8
Blackberry 6-10
Firefox Mobile 18
Chrome for Android 18
Chrome Desktop 16-24
Safari Desktop 5-6
Firefox Desktop 10-18
Internet Explorer 8-10
Opera Desktop 10-12

嗯…看來 JQM 這個 supported platforms 有段時間沒更新了,看 Chrome/Firefox Desktop 的版本可以知道。


Ext JS 5 Browser Support
http://www.sencha.com/blog/are-you-ready-for-ext-js-5/
http://www.sencha.com/products/extjs/details

Safari: 6+
Firefox
IE: 8+
Chrome
Opera: 12+
Safari / iOS 6+
Chrome / Android 4.1+
IE 10+ / Win 8

和 Ext JS 4 相較,IE 支援度改從 8 開始,Safari 則改從6開始。

沒有留言: